// *********** crc.h ***********
// classes and types definition
// constants are in const.h
// implementation is in crc.cpp
#ifndef CRC_H
#define CRC_H
#include <iostream>
#include "const.h"

#pragma pack(1)

using namespace std;

class crc
{
    public:
	crc();
//	~crc();					// no destructor
	unsigned int calccrc32(void*,int);	// call with (dataptr, size)
    private:
	void initcrc32table(void);
	unsigned int updatecrc32(const unsigned char, const unsigned int);
	unsigned int crc32table[0x100];
};

#endif